// PropPagePpg.h : Declaration of the CPropPagePpg

#ifndef __PROPPAGEPPG_H_
#define __PROPPAGEPPG_H_

#include "resource.h"       // main symbols

EXTERN_C const CLSID CLSID_PropPagePpg;

/////////////////////////////////////////////////////////////////////////////
// CPropPagePpg
class ATL_NO_VTABLE CPropPagePpg :
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CPropPagePpg, &CLSID_PropPagePpg>,
	public IPropertyPageImpl<CPropPagePpg>,
	public CDialogImpl<CPropPagePpg>
{
public:
	CPropPagePpg() 
	{
		m_dwTitleID = IDS_TITLEPropPagePpg;
		m_dwHelpFileID = IDS_HELPFILEPropPagePpg;
		m_dwDocStringID = IDS_DOCSTRINGPropPagePpg;
	}

	enum {IDD = IDD_PROPPAGEPPG};

DECLARE_REGISTRY_RESOURCEID(IDR_PROPPAGEPPG)

BEGIN_COM_MAP(CPropPagePpg) 
	COM_INTERFACE_ENTRY_IMPL(IPropertyPage)
END_COM_MAP()

BEGIN_MSG_MAP(CPropPagePpg)
	CHAIN_MSG_MAP(IPropertyPageImpl<CPropPagePpg>)
END_MSG_MAP()

	STDMETHOD(Apply)(void)
	{
		ATLTRACE(_T("CPropPagePpg::Apply\n"));
		for (UINT i = 0; i < m_nObjects; i++)
		{
			// Do something interesting here
			// ICircCtl* pCirc;
			// m_ppUnk[i]->QueryInterface(IID_ICircCtl, (void**)&pCirc);
			// pCirc->put_Caption(CComBSTR("something special"));
			// pCirc->Release();
		}
		m_bDirty = FALSE;
		return S_OK;
	}
};

#endif //__PROPPAGEPPG_H_
