// PropPageCntrDlg.h : header file
//

#if !defined(AFX_PROPPAGECNTRDLG_H__A56A23C6_79AF_11D2_8DC4_C36D152E46FE__INCLUDED_)
#define AFX_PROPPAGECNTRDLG_H__A56A23C6_79AF_11D2_8DC4_C36D152E46FE__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CPropPageCntrDlg dialog

class CPropPageCntrDlg : public CDialog
{
// Construction
public:
	CPropPageCntrDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CPropPageCntrDlg)
	enum { IDD = IDD_PROPPAGECNTR_DIALOG };
	CListBox	m_wndListResults;
	CComboBox	m_wndComboControl;
	CStatic	m_wndStaticPropPage;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPropPageCntrDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	
	IPropertyPagePtr m_pCurrentPage;
	BOOL SetCurrentPage(IUnknown * pUnknown, LPRECT rc );

	// Generated message map functions
	//{{AFX_MSG(CPropPageCntrDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDestroy();
	afx_msg void OnShow();
	afx_msg void OnSelendokControl();
	afx_msg void OnObjectFound(LPCTSTR ObjectID);
	DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	DECLARE_INTERFACE_MAP()

	BEGIN_INTERFACE_PART( PropertyPageSite, IPropertyPageSite )
        STDMETHOD( OnStatusChange )( DWORD dwFlags );
        STDMETHOD( GetLocaleID )( LCID *pLocaleID );
        STDMETHOD( GetPageContainer )( IUnknown **ppUnk );
        STDMETHOD( TranslateAccelerator )( MSG *pMsg );
	END_INTERFACE_PART( PropertyPageSite )
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PROPPAGECNTRDLG_H__A56A23C6_79AF_11D2_8DC4_C36D152E46FE__INCLUDED_)
